# Tony's Home Assistant Configs

Just a place to track my work on my personal Home Assistant configuration, and learn as I go. Maybe also TRY to keep myself a little bit more organized ;)

## New location for Node-RED flows

I have recently started using the Node-RED Projects feature, which makes version control for my flows a LOT easier than it was before.

With this change, the Node-RED flows are now in a new repo used as a submodule to this repo. They can be found at [HA-NerdFlows](https://github.com/tm24fan8/HA-NerdFlows).

## Attributions

I am fairly new to this, and while I'm learning to do a lot of it myself, I have definitely pulled ideas (in most cases modifying them for my needs) from other sources as well. Some of the most noteworthy are below.

- [SlackerLabs](https://github.com/thejeffreystone/homeassistant-config) - This guy has a lot of EXCELLENT videos on [his YouTube channel](https://www.youtube.com/c/SlackerLabs) and is very good at explaining things in a way that someone new to all of this can understand. *His old repo where I got a lot of my ideas is [here](https://github.com/thejeffreystone/home-assistant-configuration).*
- [Everything Smart Home](https://www.youtube.com/c/EverythingSmartHome) - I haven't used much code from him, because to my knowledge he doesn't publish it anywhere. But his videos ARE very informative and well-made, and I have learned a lot from watching them. Many ideas have been gained from this channel.

## HACS Components

These aren't all the ones I have installed...just the ones I am actively **using** or **will use soon**

- [Adaptive Lighting](https://github.com/basnijholt/adaptive-lighting)
- [Alexa Media Player](https://github.com/custom-components/alexa_media_player)
- [Weatheralerts](https://github.com/custom-components/weatheralerts)
- [Spotcast](https://github.com/fondberg/spotcast)
- [iCloud3](https://github.com/gcobb321/icloud3)
- [Mail and Packages](https://github.com/moralmunky/Home-Assistant-Mail-And-Packages)
- [Scheduler](https://github.com/nielsfaber/scheduler-component)
- [Anniversaries](https://github.com/pinkywafer/Anniversaries)
- [Presence Simulation](https://github.com/slashback100/presence_simulation)
- [Node-RED Companion](https://github.com/zachowj/hass-node-red)
- [Holidays](https://github.com/bruxy70/Holidays)
- [Twitch Helix](https://github.com/Radioh/ha_twitch_helix)
- [Local Tuya](https://github.com/rospogrigio/localtuya)
- [Pirate Weather](https://github.com/alexander0042/pirate-weather-ha)
- [Holidays](https://github.com/bruxy70/Holidays)
- [Thermal Comfort](https://github.com/dolezsa/thermal_comfort)
- [HASS.Agent Notifier](https://github.com/LAB02-Research/HASS.Agent-Notifier)
- [HASS.Agent Media Player](https://github.com/LAB02-Research/HASS.Agent-MediaPlayer)
- [Music Assistant](https://github.com/music-assistant/hass-music-assistant)
- [Wyze](https://github.com/JoshuaMulliken/ha-wyzeapi)
- [Blitzortung Lightning Detector](https://github.com/mrk-its/homeassistant-blitzortung)
- [LIFX Beta](https://github.com/Djelibeybi/ha-lifx-beta)
- [Midea Air Conditioning](https://github.com/mac-zhou/midea-ac-py)
- [WeatherAPI](https://github.com/iprak/weatherapi)
- [Browser Mod](https://github.com/thomasloven/hass-browser_mod)
- [Watchman](https://github.com/dummylabs/thewatchman)
- [HA Team Tracker](https://github.com/vasqued2/ha-teamtracker)
- [PyScript](https://github.com/custom-components/pyscript)
- [Hass Animated Scenes](https://github.com/chazzu/hass-animated-scenes)
- [Jokes](https://github.com/LaggAt/ha-jokes)
- [Google Photos](https://github.com/Daanoz/ha-google-photos)

## HACS Lovelace Cards

Again, mostly just the ones I'm **using** or **will use soon**...also a few that I'm putting in here so that I don't forget about them later.

- [Card Tools](https://github.com/thomasloven/lovelace-card-tools) (required for various other cards)
- [Layout Card](https://github.com/thomasloven/lovelace-layout-card)
- [Scheduler Card](https://github.com/nielsfaber/scheduler-card) (required for Scheduler component)
- [Sun Card](https://github.com/tm24fan8/home-assistant-sun-card)
- [Lovelace Home Feed Card](https://github.com/gadgetchnnel/lovelace-home-feed-card)
- [Mini Graph Card](https://github.com/kalkih/mini-graph-card)
- [Battery State Card](https://github.com/maxwroc/battery-state-card)
- [Compass Card](https://github.com/tomvanswam/compass-card)
- [Flipdown Timer Card](https://github.com/pmongloid/flipdown-timer-card)
- [Atomic Calendar Revive](https://github.com/totaldebug/atomic-calendar-revive)
- [Plotly Graph Card](https://github.com/dbuezas/lovelace-plotly-graph-card)
- [Mushroom](https://github.com/piitaya/lovelace-mushroom)
- [Todoist Card](https://github.com/tm24fan8/todoist-card)
- [TV Remote Card](https://github.com/marrobHD/tv-card)
- [Apexcharts Card](https://github.com/RomRider/apexcharts-card)
- [Auto Entities Card](https://github.com/thomasloven/lovelace-auto-entities)
- [Header Cards](https://github.com/gadgetchnnel/lovelace-header-cards)
- [Plex Meets Home Assistant](https://github.com/JurajNyiri/PlexMeetsHomeAssistant)
- [Slider Button Card](https://github.com/custom-cards/slider-button-card)
- [Weather Radar Card](https://github.com/Makin-Things/weather-radar-card)
- [Platinum Weather Card](https://github.com/Makin-Things/platinum-weather-card) (Not currently in use, but VERY nicely done)
- [Stack In Card](https://github.com/custom-cards/stack-in-card)
- [Canary](https://github.com/jcwillox/lovelace-canary)
- [Paper Buttons Row](https://github.com/jcwillox/lovelace-paper-buttons-row)
- [State Switch](https://github.com/thomasloven/lovelace-state-switch)
- [Multiple Entity Row](https://github.com/benct/lovelace-multiple-entity-row)
- [Weather Card](https://github.com/bramkragten/weather-card)
- [Template Entity Row](https://github.com/thomasloven/lovelace-template-entity-row)
- [Config Template Card](https://github.com/iantrich/config-template-card)
- [Canvas Gauge Card](https://github.com/custom-cards/canvas-gauge-card)
- [Datetime Card](https://github.com/a-p-z/datetime-card)
- [Waze Travel Time](https://github.com/r-renato/ha-card-waze-travel-time)
- [Fold Entity Row](https://github.com/thomasloven/lovelace-fold-entity-row)
- [Slider Entity Row](https://github.com/thomasloven/lovelace-slider-entity-row)
- [Room Card](https://github.com/marcokreeft87/room-card)
- [Simple Thermostat Card](https://github.com/nervetattoo/simple-thermostat)
- [Clock Weather Card](https://github.com/pkissling/clock-weather-card)
- [Tabbed Card](https://github.com/kinghat/tabbed-card)
- [HA Team Tracker Card](https://github.com/vasqued2/ha-teamtracker-card)
- [Banner Card](https://github.com/nervetattoo/banner-card)
- [Lovelace Lock Card](https://github.com/CyrisXD/love-lock-card)
- [Card Templater](https://github.com/gadgetchnnel/lovelace-card-templater)
- [Energy Overview Card](https://github.com/Sese-Schneider/ha-energy-overview-card)
- [Button Card](https://github.com/custom-cards/button-card)
- [Surveillance Card](https://github.com/custom-cards/surveillance-card)
- [Number Box Card](https://github.com/htmltiger/numberbox-card)
- [Restriction Card](https://github.com/iantrich/restriction-card)
- [Steam Card](https://github.com/Kibibit/kb-steam-card)
- [Timer Bar Card](https://github.com/rianadon/timer-bar-card)
- [History Explorer Card](https://github.com/alexarch21/history-explorer-card)
- [Minimalistic Area Card](https://github.com/junalmeida/homeassistant-minimalistic-area-card)
- [Sankey Chart Card](https://github.com/MindFreeze/ha-sankey-chart)
- [Hourly Weather Card](https://github.com/decompil3d/lovelace-hourly-weather)
- [Formula One Card](https://github.com/marcokreeft87/formulaone-card)

## AppDaemon Apps

- [White Noise](https://github.com/apop880/White-Noise)
- [Follow Me](https://github.com/aneisch/follow_me_appdaemon)
- [Alexa Door and Window Announcer](https://github.com/UbhiTS/ad-alexadoorwindowannounce)

## Themes/Icons

- [Noctis](https://github.com/tm24fan8/noctis) - *edited for my specific needs*
- [Hass Hue Icons](https://github.com/arallsopp/hass-hue-icons)
- [Thermal Comfort Icons](https://github.com/rautesamtr/thermal_comfort_icons)
- [BHA Icon Pack](https://github.com/hulkhaugen/hass-bha-icons)
- [Custom Icons Library](https://github.com/Mariusthvdb/custom-icons)
- [FontAwesome](https://github.com/thomasloven/hass-fontawesome)
